| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs | Functions
device_addr.hpp File Reference
`#include <uhd/config.hpp>`
`#include <uhd/types/dict.hpp>`
`#include <boost/lexical_cast.hpp>`
`#include <algorithm>`
`#include <map>`
`#include <stdexcept>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | uhd::device_addr_t

## Namespaces
namespace | uhd

## Typedefs
typedef std::vector< device_addr_t > | uhd::device_addrs_t
| A typedef for a vector of device addresses.

## Functions
UHD_API device_addrs_t | uhd::separate_device_addr (const device_addr_t &dev_addr)
| Separate an indexed device address into a vector of device addresses.
UHD_API device_addr_t | uhd::combine_device_addrs (const device_addrs_t &dev_addrs)
| Combine a vector of device addresses into an indexed device address.